Retrieve current on-call for entity
curl --request GET \
--url https://api.getcortexapp.com/api/v1/catalog/{tagOrId}/integrations/oncall/current \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.getcortexapp.com/api/v1/catalog/{tagOrId}/integrations/oncall/current"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.getcortexapp.com/api/v1/catalog/{tagOrId}/integrations/oncall/current', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"current": [
{
"escalations": [
{
"escalationLevel": 123,
"schedules": [
{
"user": {
"name": "Cristina Buenahora",
"email": "cristina@cortex.io"
}
}
]
}
],
"provider": "OPSGENIE, PAGERDUTY, VICTOROPS"
}
]
}
]{
"message": "<string>",
"type": "INTEGRATION_MISSING",
"details": "<string>",
"errorCode": "<string>",
"gatewayHttpStatus": 123,
"httpStatus": 123,
"requestId": "<string>"
}{
"status": 429,
"title": "<string>",
"type": "<string>",
"detail": "<string>",
"instance": "<string>",
"retryAfter": 1
}Retrieve current on-call for entity
GET
/
api
/
v1
/
catalog
/
{tagOrId}
/
integrations
/
oncall
/
current
Retrieve current on-call for entity
Authorizations
All requests to the Cortex API need to provide an Authorization: Bearer <token> header, where <token> is an API key created in the Settings page of your workspace.
Path Parameters
The tag (x-cortex-tag) or unique, auto-generated identifier (CID) for the entity. If the tag contains forward slashes, URL-encode each / as %2F. The tag is matched exactly as encoded, including leading, trailing, and consecutive slashes, which are preserved and not collapsed (for example, the tag /services/payments-api is referenced as %2Fservices%2Fpayments-api). Tags containing slashes are supported via the API but not in the Cortex UI; this difference is expected.
Entity identifier - can be a tag or CID
Response
Successfully retrieved current on-call
Show child attributes
Show child attributes
Last modified on September 29, 2026